import React, { useState, useEffect } from "react";
import { View, ScrollView } from "@tarojs/components";
import "./index.scss";
import useUser from "../store/user";

const IsLogin = ({ children }) => {
  const { user } = useUser();

  return user && user.userId ? children :
    (<View className="no-rights">您暂无权限访问当前页面</View>)
};

export default IsLogin;
